%define	upstream_name    Digest-HMAC
%define upstream_version 1.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Keyed-Hashing for Message Authentication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://www.cpan.org/
Source0:    https://cpan.metacpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.0.0
BuildRequires: perl(Digest::SHA) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Requires:   perl-Digest-SHA1
Provides:   perl-HMAC

%description
Digest-HMAC module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Digest

%changelog
* Fri Jan 24 2025 tv <tv> 1.50.0-1.mga10
+ Revision: 2141355
- update to 1.05

* Mon Mar 21 2022 umeabot <umeabot> 1.40.0-2.mga9
+ Revision: 1814327
- Mageia 9 Mass Rebuild

* Sun Apr 04 2021 tv <tv> 1.40.0-1.mga9
+ Revision: 1713144
- update to 1.04

* Sat Feb 15 2020 umeabot <umeabot> 1.30.0-11.mga8
+ Revision: 1528841
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 1.30.0-10.mga8
+ Revision: 1432706
- rebuild with perl-5.30

* Wed Sep 19 2018 umeabot <umeabot> 1.30.0-9.mga7
+ Revision: 1267275
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-8.mga6
+ Revision: 1025777
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.30.0-7.mga6
+ Revision: 945778
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-6.mga5
+ Revision: 749566
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-5.mga5
+ Revision: 684359
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-4.mga4
+ Revision: 510874
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-3.mga3
+ Revision: 365920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 21 2012 tv <tv> 1.30.0-2.mga2
+ Revision: 232239
- no need to require perl
+ kharec <kharec>
- update to 1.03

* Fri Jan 21 2011 jquelin <jquelin> 1.20.0-2.mga1
+ Revision: 29439
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 11039
- imported package perl-Digest-HMAC

